#
# spec file for package php5-xcache
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name    xcache
%define extra_ver   %{nil}
#
Name:           php5-xcache
Version:        3.2.0
Release:        4.1
#
Summary:        A fast, stable php opcode cacher
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
#
Url:            http://xcache.lighttpd.net/
Source:         http://xcache.lighttpd.net/pub/Releases/%{version}/xcache-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch0:         xcache-ini.patch
BuildRequires:  indent
BuildRequires:  php5-devel >= 5.1
Conflicts:      php5-APC
Conflicts:      php5-eaccelerator
Provides:       php-xcache = %{version}
Obsoletes:      php-xcache < %{version}
Provides:       php5_code_cache
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{?php_zend_api}0
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
%else
%requires_eq    php5
%endif
%if 0%{?suse_version} > 1000
Enhances:       php5
%endif

%description
XCache is a fast, stable php opcode cacher that has been tested and now running
on production server under high load. It support and is tested on all lastest
php cvs branches, such as PHP_4_3 PHP_4_4 PHP_5_1 PHP_5_2 HEAD(6.x)

%prep
%setup -q -n %{pkg_name}-%{version}%{extra_ver}
%patch0
mkdir %{name}

%build
%{_bindir}/phpize
pushd %{name}

CFLAGS="%{optflags}"

export CFLAGS

../configure --with-pic \
    --enable-xcache \
    --enable-xcache-coverager
make %{?_smp_mflags}
popd

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} -C %{name} INSTALL_ROOT=%{buildroot}
install -D  -m 0644 xcache.ini %{buildroot}%{_sysconfdir}/php5/conf.d/xcache.ini
install -Dd -m 0755 %{buildroot}%{_datadir}/php5/xcache/
cp -rv htdocs/* %{buildroot}%{_datadir}/php5/xcache/
sed -i -e "s|@extension_dir@|`php-config --extension-dir`|g" %{buildroot}%{_sysconfdir}/php5/conf.d/xcache.ini


%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/xcache.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/xcache.ini
%dir %{_datadir}/php5/xcache/
%{_datadir}/php5/xcache/*
%doc AUTHORS COPYING THANKS

%changelog
* Fri Jan 29 2016 pgajdos@suse.com
- provides php-xcache symbol
* Sun May 10 2015 lars@linux-schulserver.de
- run spec-cleaner
- fix license and urls
* Mon Dec  1 2014 crrodriguez@opensuse.org
- Update to version 3.2.0 PHP 5.6 support.
* Fri Jul 25 2014 crrodriguez@opensuse.org
- Update to version 3.1.0
* Sat Jun 11 2011 crrodriguez@opensuse.org
- Update to 1.3.2 final
* Sun May  8 2011 crrodriguez@opensuse.org
- Update to 1.3.2, fixes memory leak
* Sun Oct 10 2010 cristian.rodriguez@opensuse.org
- Update to an slightly newer 1.3.0.x snapshot
* Fri Sep 25 2009 crrodriguez@suse.de
- workaround for http://bugs.php.net/bug.php?id=49677
* Sun Aug 16 2009 crrodriguez@suse.de
- use new versioning macros when possible
* Thu Aug 13 2009 crrodriguez@suse.de
- update to 1.3.0, PHP 5.3 compatibility
* Wed Feb 20 2008 crrodriguez@suse.de
- use requires_eq macro instead custom php_version macro
* Sat Dec 29 2007 crrodriguez@suse.de
- update to version 1.2.2, only minor bugfixes
* Mon Oct 22 2007 crrodriguez@suse.de
- update to current STABLE snapshot
* Mon Jul  2 2007 judas_iscariote@shorewall.net
- update snapshot (identical to 1.2.1 stable release)
* Thu Jun 14 2007 judas_iscariote@shorewall.net
- update snapshot (equivalent to xcache 1.2.1rc1)
* Wed May 23 2007 judas_iscariote@shorewall.net
- update STABLE snapshot
* Sun Apr 29 2007 judas_iscariote@shorewall.net
- update to current STABLE svn branch, fixing some bugs and adding a tiny feature
  needed for symfony to work with XCache
